> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得 Gemini 格式

> 以 Gemini API 格式返回可用模型清單



## OpenAPI

````yaml api-reference/zh-tw/openapi.json GET /v1beta/models
openapi: 3.0.0
info:
  title: 出海營 API 參考文件
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI格式（Chat）
  - name: OpenAI格式（Responses）
  - name: 圖片生成 Gemini 格式
  - name: 圖片生成OpenAI DALL-E 格式
  - name: 獲取模型列表
  - name: 影片生成HappyHorse與 Wan
  - name: 影片生成Kling格式
  - name: 影片生成 Omni 與 Veo 格式
  - name: 影片生成 Seedance 格式
  - name: 影片生成Sora相容格式
  - name: 影片生成 Vidu 格式
  - name: 音樂生成任務格式
paths:
  /v1beta/models:
    get:
      tags:
        - 獲取模型列表
      summary: 取得 Gemini 格式
      description: 以 Gemini API 格式返回可用模型清單
      operationId: listModelsGemini
      parameters: []
      responses:
        '200':
          description: 成功取得模型列表
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiModelsResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    GeminiModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: models/gemini-pro
              version:
                type: string
              displayName:
                type: string
              description:
                type: string
              inputTokenLimit:
                type: integer
              outputTokenLimit:
                type: integer
              supportedGenerationMethods:
                type: array
                items:
                  type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        使用 Bearer Token 認證。
        格式: `Authorization: Bearer sk-xxxxxx`

````